Subject: Re: CYCAD REVOLUTION

From: misa martin <[email-masked]>
Date: 19 Jun 1995 04:53:15 GMT

I had a sago plant that I got through the mail - a tiny one that I gave 
plenty of light and just enough water. It put out one new frond and then 
died! Or-maybe it's dormant, but...I'm not sure if this is a regular 
Cycad phase or what.